#Blinker.py mit Lampenüberwachung
from machine import Pin
import time

u2 = machine.ADC(2)
ad_in = Pin(28, Pin.IN)
led = Pin(25, Pin.OUT)
lamp = Pin(13, Pin.OUT)

while True:
    t=0.5
    lamp.value(1)
    u=u2.read_u16()//20 #Ube ca. 950 mV
    print(u)
    if u<825:   		#750 mV ohne Last
        led.value(1)
        t=0.25
    time.sleep(t)
    led.value(0)
    lamp.value(0)
    time.sleep(t) 

