#PWM6.py Einstellbare Spannungsquelle
from machine import Pin, Timer, PWM
import time

pwm0 = PWM(Pin(0))
pwm0.freq(125000) 
pwm0.duty_u16(0)
p8 = Pin(8, Pin.IN, Pin.PULL_UP)
p10 = Pin(10, Pin.IN, Pin.PULL_UP)
p13 = Pin(13, Pin.IN, Pin.PULL_UP)
p15 = Pin(15, Pin.IN, Pin.PULL_UP)
u2 = machine.ADC(2)
ad2 = Pin(28, Pin.IN)
u1 = machine.ADC(1)
ad1 = Pin(27, Pin.IN)
u0 = machine.ADC(0)
ad0 = Pin(26, Pin.IN)

u=0
ima=0

while (True):
    if(p15.value()==0):
        u=u+0.05
        if(u>3.3):
            u=3.3      
    if(p8.value()==0):
        u=u-0.05
        if(u<0):
            u=0
    pwm0.duty_u16(int(65535/3.3*u))
    time.sleep(0.2)
    uv2=u2.read_u16()/65535*3.3 
    uv1=u1.read_u16()/65535*3.3  
    uv0=u0.read_u16()/65535*3.3
    ima=(ima*9+(uv0-uv1)*100)/10
    if(ima<0):
        ima=0
    uv2=int(uv2*100)/100
    uv1=int(uv1*100)/100
    ima=int(ima*10)/10
    print(uv2," V  ",uv1," V  ",ima," mA") 
